summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--acinclude.m410
-rw-r--r--configure.in2
-rw-r--r--kexi/tools/add_column/kexi_add_column_gui2
-rwxr-xr-xkexi/tools/build_tarball/build_kexi_tarball.sh2
-rwxr-xr-xkexi/tools/delete_column/kexi_delete_column_gui2
-rw-r--r--lib/kofficecore/KoApplication.cpp2
-rw-r--r--lib/kofficecore/KoQueryTrader.cpp2
-rwxr-xr-xtools/scripts/check_koffice_install.sh12
-rwxr-xr-xtools/scripts/check_msword_import.sh12
9 files changed, 23 insertions, 23 deletions
diff --git a/acinclude.m4 b/acinclude.m4
index a5c0e8e2..7c82b5c5 100644
--- a/acinclude.m4
+++ b/acinclude.m4
@@ -4969,13 +4969,13 @@ AC_DEFUN([KDE_SET_PREFIX],
KDE_SET_DEFAULT_BINDIRS
if test "x$prefix" = "xNONE"; then
- dnl no prefix given: look for kde-config in the PATH and deduce the prefix from it
- KDE_FIND_PATH(kde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(kde-config)], [], prepend)
+ dnl no prefix given: look for tde-config in the PATH and deduce the prefix from it
+ KDE_FIND_PATH(tde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(tde-config)], [], prepend)
else
- dnl prefix given: look for kde-config, preferrably in prefix, otherwise in PATH
+ dnl prefix given: look for tde-config, preferrably in prefix, otherwise in PATH
kde_save_PATH="$PATH"
PATH="$exec_prefix/bin:$prefix/bin:$PATH"
- KDE_FIND_PATH(kde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(kde-config)], [], prepend)
+ KDE_FIND_PATH(tde-config, KDECONFIG, [$kde_default_bindirs], [KDE_MISSING_PROG_ERROR(tde-config)], [], prepend)
PATH="$kde_save_PATH"
fi
@@ -4991,7 +4991,7 @@ AC_DEFUN([KDE_SET_PREFIX],
AC_MSG_CHECKING([where to install])
if test "x$prefix" = "xNONE"; then
prefix=$kde_libs_prefix
- AC_MSG_RESULT([$prefix (as returned by kde-config)])
+ AC_MSG_RESULT([$prefix (as returned by tde-config)])
else
dnl --prefix was given. Compare prefixes and warn (in configure.in.bot.end) if different
given_prefix=$prefix
diff --git a/configure.in b/configure.in
index 85d90cf1..a31740b7 100644
--- a/configure.in
+++ b/configure.in
@@ -2616,7 +2616,7 @@ if test -n "$kde_libs_prefix" -a -n "$given_prefix"; then
# And if so, warn when they don't match
if test "$kde_libs_prefix" != "$given_prefix"; then
# And if kde doesn't know about the prefix yet
- echo ":"`kde-config --path exe`":" | grep ":$given_prefix/bin/:" 2>&1 >/dev/null
+ echo ":"`tde-config --path exe`":" | grep ":$given_prefix/bin/:" 2>&1 >/dev/null
if test $? -ne 0; then
echo ""
echo "Warning: you chose to install this package in $given_prefix,"
diff --git a/kexi/tools/add_column/kexi_add_column_gui b/kexi/tools/add_column/kexi_add_column_gui
index 29731d69..211a2fe9 100644
--- a/kexi/tools/add_column/kexi_add_column_gui
+++ b/kexi/tools/add_column/kexi_add_column_gui
@@ -26,7 +26,7 @@ setup_messages {
if [ -z "$lang" ] ; then lang="en" ; fi
IFS=:
- for dir in `kde-config --expandvars --path locale` ; do
+ for dir in `tde-config --expandvars --path locale` ; do
transl_file="$dir"$lang"/LC_MESSAGES/kexi_add_column_gui_transl_$lang.sh";
if [ -f "$transl_file" ] ; then
source "$transl_file"
diff --git a/kexi/tools/build_tarball/build_kexi_tarball.sh b/kexi/tools/build_tarball/build_kexi_tarball.sh
index 6e5a6f34..efc607df 100755
--- a/kexi/tools/build_tarball/build_kexi_tarball.sh
+++ b/kexi/tools/build_tarball/build_kexi_tarball.sh
@@ -61,7 +61,7 @@ fixAppSpecific()
# Paths
mkdir -p /tmp/kexi-dist
DESTINATION=/tmp/kexi-dist/$DIST_VER # CHANGE TO A NON-EXISTING DIR, WHICH WILL BE CREATED LATER!!!
-CONFIGURE_PREFIX=`kde-config --prefix` # CHANGE
+CONFIGURE_PREFIX=`tde-config --prefix` # CHANGE
EXPECT_PROGRAM=`which expect` # CHANGE
ED_LOCATION=/bin # CHANGE
diff --git a/kexi/tools/delete_column/kexi_delete_column_gui b/kexi/tools/delete_column/kexi_delete_column_gui
index 0a87091c..545c9b5e 100755
--- a/kexi/tools/delete_column/kexi_delete_column_gui
+++ b/kexi/tools/delete_column/kexi_delete_column_gui
@@ -26,7 +26,7 @@ setup_messages {
if [ -z "$lang" ] ; then lang="en" ; fi
IFS=:
- for dir in `kde-config --expandvars --path locale` ; do
+ for dir in `tde-config --expandvars --path locale` ; do
transl_file="$dir"$lang"/LC_MESSAGES/kexi_delete_column_gui_transl_$lang.sh";
if [ -f "$transl_file" ] ; then
source "$transl_file"
diff --git a/lib/kofficecore/KoApplication.cpp b/lib/kofficecore/KoApplication.cpp
index a4cfcc14..6f661d39 100644
--- a/lib/kofficecore/KoApplication.cpp
+++ b/lib/kofficecore/KoApplication.cpp
@@ -96,7 +96,7 @@ bool KoApplication::start()
if ( entry.isEmpty() )
{
kdError( 30003 ) << instanceName() << "part.desktop not found." << endl;
- kdError( 30003 ) << "Run 'kde-config --path services' to see which directories were searched, assuming kde startup had the same environment as your current shell." << endl;
+ kdError( 30003 ) << "Run 'tde-config --path services' to see which directories were searched, assuming kde startup had the same environment as your current shell." << endl;
kdError( 30003 ) << "Check your installation (did you install KOffice in a different prefix than KDE, without adding the prefix to /etc/kderc ?)" << endl;
return false;
}
diff --git a/lib/kofficecore/KoQueryTrader.cpp b/lib/kofficecore/KoQueryTrader.cpp
index 84a1be4b..5b04d624 100644
--- a/lib/kofficecore/KoQueryTrader.cpp
+++ b/lib/kofficecore/KoQueryTrader.cpp
@@ -92,7 +92,7 @@ KoDocumentEntry KoDocumentEntry::queryByMimeType( const TQString & mimetype )
if ( KServiceType::serviceType( mimetype ) == 0L )
{
kdError(30003) << "Unknown KOffice MimeType " << mimetype << "." << endl;
- kdError(30003) << "Check your installation (for instance, run 'kde-config --path mime' and check the result)." << endl;
+ kdError(30003) << "Check your installation (for instance, run 'tde-config --path mime' and check the result)." << endl;
} else
{
kdError(30003) << "Found no KOffice part able to handle " << mimetype << "!" << endl;
diff --git a/tools/scripts/check_koffice_install.sh b/tools/scripts/check_koffice_install.sh
index d15876f7..3c637639 100755
--- a/tools/scripts/check_koffice_install.sh
+++ b/tools/scripts/check_koffice_install.sh
@@ -1,12 +1,12 @@
#!/bin/bash
-if ! kde-config ; then
- echo 'kde-config not found ! Aborting. You need a more recent KDE, or to fix your $PATH.'
+if ! tde-config ; then
+ echo 'tde-config not found ! Aborting. You need a more recent KDE, or to fix your $PATH.'
exit 1
fi
instance=kword
-applnks=`kde-config --path apps`:`kde-config --path xdgdata-apps`
-services=`kde-config --path services`
+applnks=`tde-config --path apps`:`tde-config --path xdgdata-apps`
+services=`tde-config --path services`
found=0
function checkname()
@@ -76,7 +76,7 @@ fi
echo
stfound=0
-for dir in `kde-config --path servicetypes`; do
+for dir in `tde-config --path servicetypes`; do
echo Service Types dir $dir
f=`echo $dir/kofficepart.desktop | sed -e 's,//,/,g'`
if [ -f $f ]; then
@@ -88,7 +88,7 @@ done
if [ $stfound = 0 ]; then
echo '****** kofficepart.desktop not found!'
- kde-config --path servicetypes
+ tde-config --path servicetypes
else
echo
if [ $found = 1 ]; then
diff --git a/tools/scripts/check_msword_import.sh b/tools/scripts/check_msword_import.sh
index e7470df5..58475e1e 100755
--- a/tools/scripts/check_msword_import.sh
+++ b/tools/scripts/check_msword_import.sh
@@ -1,16 +1,16 @@
#!/bin/bash
-if ! kde-config ; then
- echo 'kde-config not found ! Aborting. You need a more recent KDE, or to fix your $PATH.'
+if ! tde-config ; then
+ echo 'tde-config not found ! Aborting. You need a more recent KDE, or to fix your $PATH.'
exit 1
fi
IFS=:
echo -n "KDE prefixes: "
-kde-config --prefix
+tde-config --prefix
# Check for the binary
found=0
-exedirs=`kde-config --path exe`
+exedirs=`tde-config --path exe`
for dir in $exedirs; do
if [ -f "$dir/kword" ]; then
echo "kword found in $dir"
@@ -22,7 +22,7 @@ if [ $found -eq 0 ]; then
echo "ERROR: kword not found - looked at $exedirs"
fi
-mimelnks=`kde-config --path mime`
+mimelnks=`tde-config --path mime`
# Relevant existing mimetypes
mimes=""
@@ -80,7 +80,7 @@ if [ $foundmagicfile -eq 0 ]; then
echo "ERROR: Magic file not found $magic"
fi
-for dir in `kde-config --path services`; do
+for dir in `tde-config --path services`; do
echo Services dir $dir
for mime in $mimes; do
grep "Import=.*$mime" $dir/*.desktop